-- Code below by Casimir.

minetest.after(1, function()
	local i = 0
	local number = 0
	for name, item in pairs(minetest.registered_items) do
		if (name and name ~= "") then
			number = number + 1
		end
		i = i + 1
	end
	minetest.log("action", "There are " .. number .. " registered nodes, items and tools.")
end)

minetest.register_on_joinplayer(function(player)
	minetest.sound_play("player_join", {gain = 0.75})
end)

minetest.register_on_leaveplayer(function(player)
	minetest.sound_play("player_leave", {gain = 1})
end)

if minetest.setting_getbool("log_mods") then
	 -- Highlight the default mod in the mod loading logs:
	minetest.log("action", "Carbone: * [default] loaded.")
end 
